--- chrome/browser/profile.cc.orig	2009-11-17 23:29:15.000000000 +0000
+++ chrome/browser/profile.cc	2009-11-17 23:29:49.000000000 +0000
@@ -57,7 +57,7 @@
 #include "net/base/strict_transport_security_state.h"
 #include "webkit/database/database_tracker.h"
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 #include "chrome/browser/gtk/gtk_theme_provider.h"
 #endif
 
@@ -151,7 +151,7 @@
   prefs->RegisterBooleanPref(prefs::kEnableSpellCheck, true);
   prefs->RegisterBooleanPref(prefs::kEnableAutoSpellCorrect, true);
   prefs->RegisterBooleanPref(prefs::kEnableUserScripts, false);
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   prefs->RegisterBooleanPref(prefs::kUsesSystemTheme, false);
 #endif
   prefs->RegisterStringPref(prefs::kCurrentThemeID,
@@ -173,7 +173,7 @@
   return default_request_context_;
 }
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 // Temporarily disabled while we figure some stuff out.
 // http://code.google.com/p/chromium/issues/detail?id=12351
 // #include "chrome/browser/password_manager/password_store_gnome.h"
@@ -594,7 +594,7 @@
       created_theme_provider_(false),
       start_time_(Time::Now()),
       spellchecker_(NULL),
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
       spellcheck_host_(NULL),
       spellcheck_host_ready_(false),
 #endif
@@ -1071,7 +1071,7 @@
   DCHECK(!created_password_store_ && password_store_.get() == NULL);
   created_password_store_ = true;
   scoped_refptr<PasswordStore> ps;
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   // TODO(evanm): implement "native" password management.
   // This bug describes the issues.
   // http://code.google.com/p/chromium/issues/detail?id=12351
@@ -1127,7 +1127,7 @@
 
 void ProfileImpl::InitThemes() {
   if (!created_theme_provider_) {
-#if defined(OS_LINUX)
+#if defined(OS_X11)
     theme_provider_.reset(new GtkThemeProvider);
 #else
     theme_provider_.reset(new BrowserThemeProvider);
